Package Details: upower-pm-utils 0.9.23-5

Git Clone URL: https://aur.archlinux.org/upower-pm-utils.git (read-only)
Package Base: upower-pm-utils
Description: Abstraction for enumerating power devices, listening to device events and querying history and statistics
Upstream URL: http://upower.freedesktop.org
Licenses: GPL
Groups: eudev-base
Conflicts: upower, upower-nosystemd
Provides: upower=0.9.23
Replaces: upower, upower-nosystemd
Submitter: artoo
Maintainer: artoo
Last Packager: artoo
Votes: 6
Popularity: 0.084007
First Submitted: 2014-07-03 15:05
Last Updated: 2015-06-24 13:33

Required by (74)

Sources (5)

Latest Comments

Cromer commented on 2016-06-05 03:20

There is an unmet required dependency for makepkg. libgudev.

anika200 commented on 2015-08-18 15:48

Hello artoo,
Is there any way to get libupower-glib.so.3 in this package, xfce4-power-manager depends on it to work. I am running openrc so all other builds of this fail.
Thanks, Lee

artoo commented on 2015-04-24 13:09

@jsteel

Seeing you are a TU, the problem here is that systemd depends in oPKGBUILDS everywhere, even if the actualy functional component is being defined in the PKGBUIOLDS, but unused.
As long as arch won't separate these components, ie udev, logind, is is a little nightmare to swap these components. Thus I refuse to introduce troubles or conflicts when dealing with this.
I got a well working set of eudev related packages, and I won't change it or try to bend them to support systemd.

artoo commented on 2015-04-24 13:00

Because it is a set of packages, and udev depend probably won't work out, and I am not keen to try.
Systemd path is exclusive, so is the alternative. Its either or, I react to the systemd dictatorship.

jsteel commented on 2015-04-21 15:41

How about changing the dep from eudev to udev and only support people using eudev? A fair compromise in my opinion.

Personally I use systemd (219 still works fine) for its udev implementation only, and I don't see what difference it would make to you, to make the requested change.

Thanks

artoo commented on 2015-04-20 12:48

Btw, santa's ellbow, stomping your feet on the ground like a little spoilt brat will definitely not be productive or solve your issue, to the contrary.

artoo commented on 2015-04-20 12:43

The only thing enforced is systemd, which causes constant troubles to replace a component.
Don't be ridiculous and childish.
There is a cause for my package, and that is a functionality assimilating systemd.
I do not support systemd and I don't try to make things works, which are not supposed to work by systemd design. Blame the systemd and upower devs.

It is utterly ridiculous you blame an alternative package for not supporting systemd, while the purpose of the package is to have non systemd support.
Totally crazy.

satanselbow commented on 2015-04-20 09:25


Very hacky and clever with no regard to contributing in a useful manner - forcing your package on seemingly unrelated packages is a pathetic and idiotic way of demonstrating your childish behaviour and pretty much takes the entire Arch philosopy with it. You are a prick.

Alad commented on 2015-03-19 14:21

All you've shown is your inability to distinguish between systemd, udev and logind, as well as your contempt for Arch users. Suit yourself.

artoo commented on 2015-03-18 12:00

I will not change it. End of discussion.
This package is for non systemd system, which do not have a systemd package installed.

All comments